Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227199 - SELinux is preventing /usr/libexec/hald-addon-macbookpro-backlight (hald_t) "read write" access to mem (memory_device_t).
Summary: SELinux is preventing /usr/libexec/hald-addon-macbookpro-backlight (hald_t) ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-03 12:19 UTC by Ruben Kerkhof
Modified: 2013-03-06 03:49 UTC (History)
2 users (show)

Fixed In Version: 2.4.6-37
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-20 20:05:36 UTC


Attachments (Terms of Use)

Description Ruben Kerkhof 2007-02-03 12:19:51 UTC
Output from setroubleshoot:

Additional Information:       

Source Context:               system_u:system_r:hald_t
Target Context:               system_u:object_r:memory_device_t
Target Objects:               mem [ chr_file ]
Affected RPM Packages:        hal-0.5.8.1-6.fc6 [application]
Policy RPM:                   selinux-policy-2.4.6-27.fc6
Selinux Enabled:              True
Policy Type:                  targeted
MLS Enabled:                  True
Enforcing Mode:               Enforcing
Plugin Name:                  plugins.disable_trans
Host Name:                    wodan.marshallplein.nl
Platform:                     Linux wodan.marshallplein.nl 2.6.19-1.2895.fc6 #1
SMP Wed Jan 10 19:28:18 EST 2007 i686 i686
Alert Count:                  1
Line Numbers:                 

Raw Audit Messages:           

avc: denied { read, write } for comm="hald-addon-macb" dev=tmpfs egid=0 euid=0
exe="/usr/libexec/hald-addon-macbookpro-backlight" exit=-13 fsgid=0 fsuid=0
gid=0 items=0 name="mem" pid=2978 scontext=system_u:system_r:hald_t:s0 sgid=0
subj=system_u:system_r:hald_t:s0 suid=0 tclass=chr_file
tcontext=system_u:object_r:memory_device_t:s0 tty=(none) uid=0

Comment 1 Daniel Walsh 2007-02-14 21:06:38 UTC
Fixed in selinux-policy-2.4.6-37

Comment 2 Ruben Kerkhof 2007-02-17 14:49:34 UTC
Thanks Daniel, it now works on my Macbook.


Note You need to log in before you can comment on or make changes to this bug.